| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwFASTA.cpp File Reference

Library routines to read and write FASTA sequence files. More...

`#include "rwFASTA.h"`
`#include "utilities.h"`
`#include <fstream>`

Go to the source code of this file.

## Functions
int | readFASTA (Bstring &filename, Bmolgroup *molgroup)
| Reads FASTA format sequence files. More...
int | writeFASTA (Bstring &filename, Bmolgroup *molgroup)
| Writes FASTA format sequence files. More...

## Variables
int | verbose

## Detailed Description

Library routines to read and write FASTA sequence files.

Author
  Bernard Heymann

Date
  Created: 19990123
  Modified: 20110331

Definition in file rwFASTA.cpp.

## Function Documentation

## ◆ readFASTA()

int readFASTA | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Reads FASTA format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules read (<0 if reading failed).

      FASTA format:
      >1hiwa TRIMERIC HIV-1 MATRIX PROTEIN   MOLECULE: HIV-1 MATRIX PROTEIN;   CHAIN:
      VLSGGELDKWEKIRLRPGGKKQYKLKHIVWASRELERFAVNPGLLETSEGCRQILGQLQPSLQTGSEELRSLYNTIAVLY
      CVHQRIDVKDTKEALDKIEEEQNKSKKKAQQAAAD

Definition at line 28 of file rwFASTA.cpp.

## ◆ writeFASTA()

int writeFASTA | ( | Bstring & | filename,
|  | Bmolgroup * | molgroup
| ) |  |

Writes FASTA format sequence files.

Parameters

  &filename | sequence file name.
  *molgroup | molecule group.

Returns
  int number of molecules written (<0 if writing failed).

Definition at line 100 of file rwFASTA.cpp.

## Variable Documentation

## ◆ verbose

int verbose